<% if f.object.class.respond_to?(:montage) %>
<%# render 'montage/form',
    :f      => f,
    :method => :gallery,
    :title  => Blocks.configuration.gallery_options.fetch(:title, 'Images'),
    :id     => Blocks.configuration.gallery_options.fetch(:form_id, 'gallery'),
    :size   => Blocks.configuration.gallery_options[:size],
    :aspect => Blocks.configuration.gallery_options[:aspect],
    :specs  => Blocks.configuration.gallery_options.fetch(:specs, 'TBD') %>
<% elsif f.object.respond_to?(:gallery_items) %>
  <%= f.input :gallery_items, as: :scrapbook %>
<% end %>
